main {
    margin-bottom: 180px;
}
main .breadcrumbs {
    margin-bottom: 32px;
}
main .breadcrumbs a {
    font-weight: 400;
    line-height: 170%;
}
main .breadcrumbs p {
    color: #1F222B;
    font-weight: 700;
    line-height: 170%;
}
main h1 {
    color: #1F222B;
    font-size: 24px;
    font-weight: 700;
    line-height: 140%;
    text-align: left;
    margin-bottom: 25px;
    padding-left: 0;
}
main .box {
    display: grid;
    grid-template-columns: 381px 1fr 216px;
    /* grid-template-columns: .33fr .45fr .22fr; */
    gap: 16px;
}
main .good-slider {
    overflow-x: hidden;
}
main .good-slider .items {
    position: relative;
    display: flex;
    flex-wrap: nowrap;
    gap: 20px;
    overflow: auto;
    scrollbar-width: none;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    margin-bottom: 16px;
}
main .good-slider .items::-webkit-scrollbar {
    height: 0;
}
main .good-slider .slide {
    width: 100%;
    min-width: 381px;
    border-radius: 8px;
}
main .good-slider .slide img {
    width: 100%;
}
main .good-slider .options {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
main .good-slider .options .images {
    width: 90%;
    display: flex;
    gap: 6%;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    scrollbar-width: none;
}
main .good-slider .options .images::-webkit-scrollbar {
    height: 0;
}
main .good-slider .options .images img {
    width: 40px;
    height: 40px;
    border-radius: 4px;
    cursor: pointer;
}
main .good-slider .options .images img.active {
    border: 1px solid #006DF0;
}
main .good-slider .options :is(.arrow-l, .arrow-r) {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    width: 24px;
    height: 24px;
}
main .good-slider .options :is(.arrow-l, .arrow-r):before {
    content: '\e006';
    font-family: 'Icon';
    font-size: 18px;
    color: #606469;
    position: relative;
}
main .good-slider .options .arrow-l:before {
    transform: rotate(90deg);
}
main .good-slider .options .arrow-r:before {
    transform: rotate(-90deg);
}
main .params {
    padding-left: 16px;
}
main .params .colors {
    margin-bottom: 24px;
}
main .params .colors input {
    display: none;
}
main .params .colors > p {
    color: #606469;
    font-size: 14px;
    font-weight: 400;
    line-height: 170%;
}
main .params .colors > p span {
    color: #1F222B;
    font-size: 14px;
    font-weight: 400;
    line-height: 170%;
}
main .params .radio-box {
    display: flex;
    align-items: center;
    gap: 8px;
}
main .params .radio-box input[type=radio] + label {
    position: relative;
    width: 40px;
    height: 40px;
    margin-right: 0;
    border-radius: 4px;
    border: 1px solid #CCCFD0;
}
main .params .radio-box input[type=radio] + label:before {
    content: '';
    display: block;
    width: 24px;
    height: 24px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
main .params .radio-box input[type=radio]:checked + label {
    border-color: #006DF0;
}
main .params .radio-box input[type=radio]:checked + label:after {
    display: none;
}
main .params .radio-box label:nth-child(2)::before {
    background: #6FCF97;
    border-color: #6FCF97;
}
main .params .radio-box label:nth-child(4)::before {
    background: #56CCF2;
    border-color: #56CCF2;
}
main .params .radio-box label:nth-child(6)::before {
    background: #CCCFD0;
    border-color: #CCCFD0;
}
main .params .radio-box label:nth-child(8)::before {
    background: #fff;
    border-color: #000;
}
main .params .radio-box label:nth-child(10)::before {
    background: #F2C94C;
    border-color: #F2C94C;
}
main .box .table {
    display: grid;
    grid-template-columns: 103px 1fr 332px;
    align-items: end;
    row-gap: 8px;
}
main .box .table span {
    grid-column: 1/2;
    color: #606469;
    font-size: 14px;
    font-weight: 400;
    line-height: 170%;
}
main .box .table p {
    grid-column: 3/4;
    color: #1F222B;
    font-size: 14px;
    font-weight: 400;
    line-height: 170%;
}
main .box .table a {
    grid-column: span 2;
    color: #0056CF;
    font-size: 14px;
    font-weight: 500;
    line-height: 170%;
    padding: 6px 0;
    max-width: 135px;
}
main .calc {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-left: 16px;
    max-width: 200px;
    padding: 24px;
    align-items: flex-start;
    border-radius: 8px;
    background: #FFF;
    align-self: start;
    box-shadow: 0px 0px 8px -4px rgba(31, 34, 43, 0.03), 0px 0px 24px -4px rgba(31, 34, 43, 0.08);
}
main .calc p:first-child {
    color: #1F222B;
    font-size: 20px;
    font-weight: 700;
    line-height: 150%;
}
main .calc > p:nth-child(2) {
    color: #027A48;
    font-size: 14px;
    font-weight: 400;
    line-height: 170%;
}
main .calc .count {
    display: grid;
    grid-template-columns: 40px 1fr 40px;
    height: 40px;
    width: 100%;
}
main .calc .count :is(.left, .right) {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 8px;
    background: #F2F9FF;
    font-size: 25px;
    color: #0056CF;
    cursor: pointer;
}
main .calc .count p:nth-child(2) {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #1F222B;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 142%;
}
main .calc button {
    border-radius: 20px;
    width: 100%;
    background: #006DF0;
    padding: 8px 16px;
    height: 40px;
    color: #FFF;
    text-align: center;
    font-size: 16px;
    font-weight: 500;
    line-height: 150%;
}
#favourites {
    display: none;
}
main .calc input[type=checkbox] + label {
    display: flex;
    align-items: center;
    gap: 8px;
    color: #0056CF;
    text-align: center;
    font-size: 16px;
    font-weight: 500;
    line-height: 150%;
    cursor: pointer;
}
main .calc input[type=checkbox] + label::before {
    content: '\e013';
    font-family: "Icon";
}
main .calc input[type=checkbox]:checked + label::before {
    content: '\e015';
    color: #D92D20;
}
.blocks {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 100px;
}
.blocks .block {
    width: 100%;
    max-width: 580px;
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}
.blocks .block {
    width: 100%;
    max-width: 580px;
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
}
.blocks .block a {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
.blocks .block img {
    height: 100%;
    min-height: 508px;
    max-height: 508px;
    filter: sepia(1);
    transition: 0.5s;
}
.blocks .block:hover img {
    filter: sepia(0);
}
.blocks .block .text {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    padding: 70px 40px 50px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
}
.blocks .block .text h2 {
    font-size: 50px;
    text-align: left;
    color: #fff;
    margin-bottom: 50px;
    margin-left: 0;
    text-shadow: 1px 0 10px rgba(0, 0, 0, 0.6);
}
.blocks .block .text p {
    color: #fff;
    line-height: 30px;
    text-shadow: 1px 0 10px rgba(0, 0, 0, 0.9);
}
@media screen and (max-width: 1280px) {
    main .box .table {
        grid-template-columns: 103px 1fr;
        column-gap: 20px;
    }
    main .box .table a {
        grid-column: span 3
    }
    .blocks .block {
        width: 49%;
    }
    .blocks .block .text {
        padding: 50px 25px 40px;
    }
    .blocks .block .text h2 {
        font-size: 25px;
        margin-bottom: 35px;
    }
    .blocks .block .text p {
        font-size: 13px;
        line-height: 25px;
    }
}
@media screen and (max-width: 1020px) {
    main .box {
        grid-template-columns: 1fr 216px;
        grid-template-areas: 'A A'
            'B C';
        row-gap: 24px;
    }
    main .box .good-slider {
        grid-area: A;

    }
    main .box .params {
        grid-area: B;
    }
    main .box .calc {
        grid-area: C;
    }
    main .good-slider .slide {
        text-align: center;
    }
    main .good-slider .slide img {
        width: 100%;
        max-width: 450px;
    }
}
@media screen and (max-width: 768px) {
    main .breadcrumbs p {
        display: none;
    }
    main .box {
        display: flex;
        flex-direction: column;
        margin-bottom: 24px;
    }
    main .box .good-slider .items {
        gap: 5px;
    }
    main .box .good-slider .slide {
        border-radius: 0px;
        min-width: 240px;
    }
    main .box .good-slider .options {
        display: none;
    }
    main .box .table p {
        grid-column: 2/4
    }
    main .box .table a {
        margin-top: 16px;
    }
    main .calc {
        width: 100%;
        margin-left: 0;
        max-width: initial;
        gap: 0;
    }
    main .calc :is(.count, button),
    main .calc input[type=checkbox] + label {
        display: none;
    }
    main .box .good-slider .slide  {
        max-width: 240px;
    }
    main .good-slider .slide img {
        max-width: 100%;
    }
    .blocks {
        flex-wrap: wrap;
    }
    .blocks .block {
        width: 100%;
    }
    .blocks .block img {
        min-height: 300px;
        max-height: 300px;
        height: 300px;
    }
    .blocks .block .text {
        padding: 20px 25px 20px;
    }
    .blocks .block .text h2 {
        font-size: 20px;
        margin-bottom: 20px;
        margin-top: 0;
    }
    .blocks .block .text p {
        font-size: 13px;
        line-height: 18px;
    }
}